#include <Arduino.h>
#include "sequence.h"

SequenceEntry::SequenceEntry(const bool is_audio, const int duration, const int audio_id):
    isAudio(is_audio),
    duration(duration),
    audioId(audio_id)
{
}

SequenceEntry* Sequence::getEntryAtIndex(const int index) const
{
    if (index >= this->length)
    {
        // illegal argument
        return nullptr;
    }
    return this->entries[index];
}

int Sequence::getLength() const
{
    return this->length;
}

int Sequence::getRepeatIndex() const
{
    return repeatIndex;
}

Sequence::Sequence(const int repeatIndex): entries{}, length(0), repeatIndex(repeatIndex)
{
}

void Sequence::addEntry(SequenceEntry entry)
{
    if (this->length == 20)
    {
        // max amount of entries
        return;
    }
    entries[length] = &entry;
    length += 1;
}
