#pragma once
#include <Arduino.h>

class SequenceEntry {
public:
    SequenceEntry(bool is_audio, int duration, int audio_id);

    bool isAudio;
    int duration;
    int audioId;
};

class Sequence {
private:
    SequenceEntry* entries[20];
    int length;
    int repeatIndex;
public:
    explicit Sequence(int repeatIndex);

    SequenceEntry* getEntryAtIndex(int index) const;
    int getLength() const;
    int getRepeatIndex() const;
    void addEntry(SequenceEntry entry);
};
